Name:           python-sure
Version:        2.0.0
Release:        2
Summary:        Utility belt for automated testing in Python
License:        GPLv3+
URL:            https://github.com/gabrielfalcao/sure
Source0:        https://github.com/gabrielfalcao/sure/archive/%{version}/sure-%{version}.tar.gz
# https://github.com/gabrielfalcao/sure/commit/9f0e834
# https://src.fedoraproject.org/rpms/python-sure/pull-request/1
Patch0:         python3.10-workaround.patch

BuildRequires:  python3-devel python3-mock python3-setuptools python3-six python3-pytest python-pytest-cov
BuildArch:      noarch

%description
An idiomatic testing library for python with powerful and flexible assertions. Sure is heavily
inspired in RSpec Expectations and should.js.

%package -n python3-sure
Summary:        Utility belt for automated testing in Python 3
Requires:       python3-six
%{?python_provide:%python_provide python3-sure}

%description -n python3-sure
An idiomatic testing library for python with powerful and flexible assertions. Sure is heavily
inspired in RSpec Expectations and should.js.

%prep
%autosetup -n sure-%{version} -p1
cp -r sure/ tests/
rm -rf sure.egg-info

%build
%py3_build

%install
%py3_install

%check
/usr/bin/pytest --ignore=tests/test_old_api.py

%files -n python3-sure
%doc COPYING
%{_bindir}/sure
%{python3_sitelib}/*

%changelog
* Tue Nov 15 2022 yaoxin <yaoxin30@h-partners.com> - 2.0.0-2
- Modify invalid Source

* Tue Oct 25 2022 yaoxin <yaoxin30@h-partners.com> - 2.0.0-1
- Update to 2.0.0

* Wed Jan 05 2022 Chen Chen <chen_aka_jan@163.com> - 1.4.11-7
- remove buildrequires python3-nose

* Wed Aug 05 2020 zhangjiapeng <zhangjiapeng9@huawei.com> - 1.4.11-6
- Remove python2

* Thu May 21 2020 yanan li <liyanan032@huawei.com> - 1.4.11-5
- Modify python-mock and python-nose version

* Wed Nov 27 2019 lingsheng <lingsheng@huawei.com> 1.4.11-4
* Package init
